These are chat archives for opal/opal

25th
Apr 2016
Forrest Chang
@fkchang
Apr 25 2016 16:10
@erlandsona I'll see if I can duplicate
but I think @elia is the real source of knowledge on this
Austin Erlandson
@erlandsona
Apr 25 2016 16:11
Thanks a ton @fkchang! If I do need to get ahold of @elia what's the best time ?
Forrest Chang
@fkchang
Apr 25 2016 16:13
@erlandsona do you have a preferred target opal and rails versions? I'll try from scratch
Brady Wied
@wied03
Apr 25 2016 16:14
@erlandsona - elia will be back in a couple days. I think he's aware of what you're asking about. It's a busy time for him with the upcoming Opal 0.10 release.
Forrest Chang
@fkchang
Apr 25 2016 16:14
I think @elia would normally be on right now, but he's normally on Italy time, but I dunno if he's elsewhere @wied03 mentioned something of him not being around for the weekend
Austin Erlandson
@erlandsona
Apr 25 2016 16:14
Ruby 2.2.0
Rails ~> 4.2
Opal ~> 9.2
Forrest Chang
@fkchang
Apr 25 2016 18:11
I realize as I commit this, it's using opal 0.8.1 - sorry, I haven't really used 0.9 yet, so I imagine there might be some differences. This one works w/both hitting /opal_spec and rake opal:spec -- you'll notice a trick in spec-opal/spec_helper.rb that supports both in rails and phantomjs
I went with the conventions of opal code in app/assets/javascripts and specs in spec-opal - which I believe to be the conventions of opal-rails, though it may not be explicitly stated as such
@elia to correct if not
Austin Erlandson
@erlandsona
Apr 25 2016 18:20
Yeah I noticed that… Thanks a ton! Pulling it down now to try out.
Austin Erlandson
@erlandsona
Apr 25 2016 19:05
Pulled it down specs ran and are passing. Learning... Thanks a ton @fkchang
Forrest Chang
@fkchang
Apr 25 2016 19:09
@erlandsona cool, let me know what was wrong w/your project exactly, maybe we can document it better
Austin Erlandson
@erlandsona
Apr 25 2016 19:10
Yeah definitely.
Zsolt Rozsnyai
@zsolt-rozsnyai
Apr 25 2016 19:12
Hi, I'm trying to bring up opal with rails 5, and when I add a haml template into the sprockets load path, I get "couldn't find file 'test.haml' under 'app/templates' with type 'application/javascript' " . I have opal-rails 0.9.0.dev and opal 0.9.2 with rails 5.0.0.beta3 .
I'm trying to do sthing upon the readme, but I'm stuck with this. Anybody could help?
Forrest Chang
@fkchang
Apr 25 2016 20:33
@zsolt-rozsnyai I don't believe rails 5 support is ready yet. My last collection is that @elia is still working on it. Anyone else know any different?
Brady Wied
@wied03
Apr 25 2016 20:36
I believe elia was working on the new sprockets version which is the main issue there
Zsolt Rozsnyai
@zsolt-rozsnyai
Apr 25 2016 20:57
thank you for the replies, I check if I can patch it